--- a/configure.ac	Thu May  3 12:58:53 2012
+++ b/configure.ac	Thu May  3 13:00:23 2012
@@ -61,6 +61,10 @@
 XORG_DRIVER_CHECK_EXT(XV, videoproto)
 XORG_DRIVER_CHECK_EXT(DPMSExtension, xextproto)
 
+PKG_CHECK_EXISTS([xorg-server >= 1.12.0],
+                 [AC_DEFINE([HAVE_XORG_SERVER_1_12_0], 1,
+                 [Has version 1.12.0 or greater of the Xserver])])
+
 # Obtain compiler/linker options for the driver dependencies
 PKG_CHECK_MODULES(XORG, [xorg-server >= 1.3 xproto fontsproto $REQUIRED_MODULES])
 PKG_CHECK_MODULES(XEXT, [xextproto >= 7.0.99.1],
--- a/src/nv_driver.c	Mon Jul 19 15:53:18 2010
+++ b/src/nv_driver.c	Thu May  3 13:01:56 2012
@@ -1543,7 +1543,10 @@
 	xf86FreeInt10(pNv->pInt);
 	return FALSE;
     }
+
+#ifdef HAVE_XORG_SERVER_1_12_0
     vgaHWSetStdFuncs(VGAHWPTR(pScrn));
+#endif
     
     /* We use a programmable clock */
     pScrn->progClock = TRUE;
